! gtvaropenbydimord.f90 - open(GT_VARIABLE, GT_VARIABLE, integer)
! Copyright (C) GFD Dennou Club, 2000.  All rights reserved
!
! open(dimvar, var, dimord, [count_compact], [err]) は
! 既に開かれた変数 var の ord 番目の次元にあたる変数を
! 開き dimvar に格納する。順序 ord は現在の入出力範囲が
! 幅１になっている (コンパクト化している）を飛ばした
! 順序であるが、count_compact に真を指定すると
! すべての次元のなかの順序になる。
!
subroutine GTVarOpenByDimOrd(dimvar, var, dimord, &
    count_compact, err)
    use gtdata_types, only: GT_VARIABLE
    use an_generic, only: Open
    use dc_error
    type(GT_VARIABLE), intent(inout):: dimvar
    type(GT_VARIABLE), intent(in):: var
    integer, intent(in):: dimord
    logical, intent(in), optional:: count_compact
    logical, intent(out), optional:: err
    if (associated(var%an)) then
        allocate(dimvar%an)
        call Open(dimvar%an, var%an, dimord, count_compact, err)
    endif
end subroutine
